require 'open3'

module RCM

  def cmd(command)
    stdin, stdout, stderr, wait_thr = Open3.popen3(command)
    output = stdout.gets(nil)
    stdout.close
    error = stderr.gets(nil)
    stderr.close
    exit_code = Integer(wait_thr.value)

    {
      exit_code: exit_code,
      output: output,
      error: error
    }

  end

  module_function :cmd
end
